<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		foreach (string name in Enum.GetNames(typeof(GridLines))) {
			lines.Items.Add(new ListItem(name));
		}
		foreach (string name in Enum.GetNames(typeof(RepeatDirection))) {
			direction.Items.Add(new ListItem(name));
		}
		foreach (string name in Enum.GetNames(typeof(RepeatLayout))) {
			layout.Items.Add(new ListItem(name));
		}

		string[] source = {
			"item1", "item2", "item3", "item4", "item5", "item6",
			"item7", "item8", "item9", "item10", "item11", "item12" };
		datalist1.DataSource = source;
		datalist1.DataBind();
	} else {
		try {
			datalist1.CellPadding = Int32.Parse(padding.Text);
			datalist1.CellSpacing = Int32.Parse(spacing.Text);
			datalist1.RepeatColumns = Int32.Parse(columns.Text);
		}
		catch (Exception ex) {
			padding.Text = "0";
			spacing.Text = "0";
			columns.Text = "1";
		}

		GridLines gl = (GridLines) Enum.Parse(
			typeof(GridLines), lines.SelectedItem.Text);
		datalist1.GridLines = gl;
		
		RepeatDirection rd = (RepeatDirection) Enum.Parse(
			typeof(RepeatDirection), direction.SelectedItem.Text);
		datalist1.RepeatDirection = rd;

		RepeatLayout rl = (RepeatLayout) Enum.Parse(
			typeof(RepeatLayout), layout.SelectedItem.Text);
		datalist1.RepeatLayout = rl;
	}
}
</script>
</head>
<body>
<form runat="server">
	CellPadding : <asp:TextBox id="padding" Text="0" runat="server" />
	CellSpacing : <asp:TextBox id="spacing" Text="0" runat="server" />
	GridLines : <asp:DropDownList id="lines" runat="server" />
	<br>
	RepeatColumns : <asp:TextBox id="columns" Text="1" runat="server" />
	RepeatDirection : <asp:DropDownList id="direction" runat="server" />
	RepeatLayout : <asp:DropDownList id="layout" runat="server" />
	<br>
	<asp:Button Text="Submit" runat="server" />

	<asp:DataList id="datalist1" runat="server">
		<ItemTemplate>
			<%# Container.DataItem %>
		</ItemTemplate>
	</asp:DataList>
</form>
</body>
</html>
